Configure the xen hypervisor to let the guests talk to the storage network

Nov 08, 2017 05:41 PM - Andrea Dell'Amico

Status: Closed Start date: Nov 08, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Migrate from Xen to a new virtualisation

system

  

Infrastructure: Development, Pre-Production,

Production

  

Description

The VMs should be able to talk to the storage network, it's mandatory so that we can host the Ceph monitors in the hypervisors and

to export NFS volumes using the storage network and not the frontend one.

History

#2 - Dec 06, 2017 06:54 PM - Andrea Dell'Amico

The test made on dlib18x went bad, so a full reboot of every hypervisor is needed to permit the VMs to talk to the private network.

#3 - Jan 11, 2019 06:58 PM - Andrea Dell'Amico

- Status changed from New to Closed

- % Done changed from 0 to 100

After reading the documentation again, in particular http://docs.ceph.com/docs/master/rados/configuration/network-config-ref/ (first paragraph) it

seems that my plan to split the cluster network in two can be avoided without a significant loss of performance. As it simplifies the overall

configuration of hypervisors, VMs and ceph, I'm going with a two networks configuration.

The interfaces that are part of the third network will be reallocated if they are not useful for OpenStack (possibly yes).

So, this configuration is not necessary anymore.
